//
// C++ Implementation: coupler
//
// Description: 
//
//
// Author: Flameeyes <dgp85@users.sourceforge.net>, (C) 2004
//
// Copyright: See COPYING file that comes with this distribution
//
//
#include "coupler.h"
#include "qbioritmi.h"

#include <kdatewidget.h>
#include <kglobal.h>
#include <kconfig.h>
#include <kcolorbutton.h>
#include <qbuttongroup.h>

coupler::coupler(QWidget *parent, const char *name)
 : uiCoupler(parent, name)
{
	centraldate->setDate(QDate::currentDate());
	
	KGlobal::config()->setGroup("coupler");
		QDateTime dt( QDate(1985, 11, 28) );
		birthdate1->setDate( KGlobal::config()->readDateTimeEntry("birthdate1", &dt).date() );
		birthdate2->setDate( KGlobal::config()->readDateTimeEntry("birthdate2", &dt).date() );
		
		QColor firstcolor(0,0,255), secondcolor(255,0,255);
		colorFirst->setColor( KGlobal::config()->readColorEntry("color1", &firstcolor) );
		colorSecond->setColor( KGlobal::config()->readColorEntry("color2", &secondcolor) );
}

coupler::~coupler()
{
	KGlobal::config()->setGroup("coupler");
		KGlobal::config()->writeEntry("birthdate1", QDateTime(birthdate1->date()));
		KGlobal::config()->writeEntry("birthdate2", QDateTime(birthdate2->date()));
		
		KGlobal::config()->writeEntry("color1", colorFirst->color());
		KGlobal::config()->writeEntry("color2", colorSecond->color());
}

void coupler::drawGraph()
{
	char graph;
	
	if ( reinterpret_cast<QRadioButton*>(cycles->selected()) == radioEmotional )
		graph = QBioritmi::cyEmotional;
	else if ( reinterpret_cast<QRadioButton*>(cycles->selected()) == radioPhisical )
		graph = QBioritmi::cyPhisical;
	else if ( reinterpret_cast<QRadioButton*>(cycles->selected()) == radioIntellectual )
		graph = QBioritmi::cyIntellectual;
	else
		graph = QBioritmi::cyMean;
	
	biolabel->couple(graph, birthdate1->date(), birthdate2->date(), centraldate->date());
}

#include "coupler.moc"
